curl --request PATCH \
--url https://staging.api.us.aptlydone.com/settings/v1/group-types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupTypeName": "Department",
"disableOption": "KEEP_ASSOCIATIONS",
"status": "ACTIVE",
"addressEnabled": false
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3201254a-c76c-4ab3-8ba5-dffbe3fd87e1",
"tenantId": "176c9cbd-c764-433a-9b5f-f35327513553",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"addressEnabled": false,
"isDefault": false,
"disableOption": "NA",
"isDeleted": false,
"status": "ACTIVE",
"createdBy": null,
"createdOn": "2024-12-18T09:50:43.338Z",
"updatedOn": "2024-12-18T09:50:43.338Z",
"updatedBy": null
}
}curl --request PATCH \
--url https://staging.api.us.aptlydone.com/settings/v1/group-types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupTypeName": "Department",
"disableOption": "KEEP_ASSOCIATIONS",
"status": "ACTIVE",
"addressEnabled": false
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3201254a-c76c-4ab3-8ba5-dffbe3fd87e1",
"tenantId": "176c9cbd-c764-433a-9b5f-f35327513553",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"addressEnabled": false,
"isDefault": false,
"disableOption": "NA",
"isDeleted": false,
"status": "ACTIVE",
"createdBy": null,
"createdOn": "2024-12-18T09:50:43.338Z",
"updatedOn": "2024-12-18T09:50:43.338Z",
"updatedBy": null
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Group type name
50"Department"
Disable option
KEEP_ASSOCIATIONS, REMOVE_ASSOCIATIONS, NA Status
ACTIVE, INACTIVE Address Enabled
false
Tenant group type updated successfully
Was this page helpful?